> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasavdworkspace.md).

# Set-RASAVDWorkspace.md

## NAME

Set-RASAVDWorkspace

## SYNOPSIS

Modifies an Azure Virtual Desktop Workspace.

## SYNTAX

**Set-RASAVDWorkspace** \[[Id](#id-string)] *(uint)* \[[Description](#description-string) *(string)*] \[[Enable](#enable-string) *(bool)*] \[[FriendlyName](#friendlyname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASAVDWorkspace \[-[InputObject](#inputobject)] *(*[*AVDWorkspace*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdworkspace.md)*)* \[[Description](#description-string) *(string)*] \[[Enable](#enable-string) *(bool)*] \[[FriendlyName](#friendlyname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASAVDWorkspace** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[Description](#description-string) *(string)*] \[[Enable](#enable-string) *(bool)*] \[[FriendlyName](#friendlyname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the specified Azure Virtual Desktop Workspace from within the specified site.

## PARAMETERS

## Name (string)

The name of the Azure Virtual Desktop Workspace for which to update the information.

This must be the actual Azure Virtual Desktop Workspace name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to update the Azure Virtual Desktop Workspace.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a Azure Virtual Desktop Workspace for which to update the information.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([AVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdworkspace.md))

An object representing the Azure Virtual Desktop Workspace to update.

To obtain the object, use the Get-RASAVDWorkpsace command.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## FriendlyName (string)

Friendly name of Azure Virtual Desktop Workspace.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

Description of Azure Virtual Desktop Workspace.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enable (bool)

Enables or disables the Azure Virtual Desktop Workspace in site.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[AVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdworkspace.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASAVDWorkspace -Name "My AVDWorkspace" -SiteId 1 -Description "My Description"

Modifies the description of the AVD Workspace specified by name from the site with ID 1.\
\*\*---------- EXAMPLE 2 ----------

Set-RASAVDWorkspace -Id 10 -Description "My Description"

Modifies the description of the AVD Workspace specified by ID.\
\*\*---------- EXAMPLE 3 ----------

Get-RASAVDWorkspace -Id 10 | Set-RASAVDWorkspace -Description "My Description"

Modifies the description of the AVD Workspace represented by the object obtained from the pipeline output.

## RELATED LINKS

* [Get-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdworkspace.md)
* [New-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdworkspace.md)
* [Remove-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdworkspace.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasavdworkspace.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
